using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace XamarinDemoApp.Services
{
    public interface ISDKBasicService
    {
        void NewPage(string url);
        Task Identity(string type, string value);
        Task DetachIdentity();
        void AddAppEvent(string eventName, Dictionary<string, string> attrs);
        void StartMonitoringLocation();
        void DisableLocationMonitoring();

        string GetDeviceId();
        void ResetDeviceId();
        string GetTagServer();
        void SetTagServer(string newServer);
        string GetTenantId();
        void SetTenantId(string newTenant);
    }
}

